loci.formats

## Class CoreMetadataList

- java.lang.Object
- - loci.formats.MetadataList<CoreMetadata>
  - - loci.formats.CoreMetadataList

-     public class CoreMetadataList
      extends MetadataList<CoreMetadata>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static java.util.Comparator<CoreMetadata>` | `comparator`

    - ### Fields inherited from class loci.formats.MetadataList

      `data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreMetadataList()`
    `CoreMetadataList(CoreMetadataList copy)`
    `CoreMetadataList(int size1)` Construct a list containing a specified number of primary elements.
    `CoreMetadataList(int[] sizes)` Construct a list containing a specified number of primary and secondary elements.
    `CoreMetadataList(int size1, int size2)` Construct a list containing a specified number of primary elements and a fixed number of secondary elements.
    `CoreMetadataList(java.util.List<CoreMetadata> list)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int i1, CoreMetadata value)` Add a secondary array element to the specified primary array
    `int` | `flattenedIndex(int series, int resolution)`
    `int[]` | `flattenedIndexes(int flattenedIndex)`
    `int` | `flattenedSize()` Get flattened size (all resolutions in all series)
    `java.util.List<CoreMetadata>` | `getFlattenedList()`
    `java.util.List<CoreMetadata>` | `getSeriesList()`
    `void` | `reorder()`
    `void` | `setFlattenedList(java.util.List<CoreMetadata> list)`

    - ### Methods inherited from class loci.formats.MetadataList

      `add, add, add, add, clear, clear, get, remove, remove, set, size, size, sizes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### comparator

          static final java.util.Comparator<CoreMetadata> comparator

  - ### Constructor Detail

    - #### CoreMetadataList

          public CoreMetadataList()

    - #### CoreMetadataList

          public CoreMetadataList(CoreMetadataList copy)

    - #### CoreMetadataList

          public CoreMetadataList(int size1)

      Construct a list containing a specified number of primary elements. This may be used to specify e.g. the number of image series without any sub-resolutions. The sub-resolutions, including the full resolution, must be added afterward.
      Parameters:
        `size1` - The number of primary list elements

    - #### CoreMetadataList

          public CoreMetadataList(int size1,
                                  int size2)

      Construct a list containing a specified number of primary elements and a fixed number of secondary elements. This may be used to specify e.g. the number of image series with a fixed number of sub-resolutions.
      Parameters:
        `size1` - The number of primary list elements
        `size2` - The number of secondary level list elements

    - #### CoreMetadataList

          public CoreMetadataList(int[] sizes)

      Construct a list containing a specified number of primary and secondary elements. This may be used to specify e.g. the number of image series including all sub-resolutions.
      Parameters:
        `sizes` - The number of primary and secondary list elements; the array elements are the secondary element sizes.

    - #### CoreMetadataList

          public CoreMetadataList(java.util.List<CoreMetadata> list)

  - ### Method Detail

    - #### add

          public void add(int i1,
                          CoreMetadata value)

      Add a secondary array element to the specified primary array
      Overrides:
        `add` in class `MetadataList<CoreMetadata>`
      Parameters:
        `i1` - The primary array index
        `value` - The element to set

    - #### reorder

          public void reorder()

    - #### getFlattenedList

          public java.util.List<CoreMetadata> getFlattenedList()

    - #### setFlattenedList

          public void setFlattenedList(java.util.List<CoreMetadata> list)

    - #### getSeriesList

          public java.util.List<CoreMetadata> getSeriesList()

    - #### flattenedSize

          public int flattenedSize()

      Get flattened size (all resolutions in all series)
      Returns:
        The number of all resolutions in all series

    - #### flattenedIndex

          public int flattenedIndex(int series,
                                    int resolution)

    - #### flattenedIndexes

          public int[] flattenedIndexes(int flattenedIndex)

Copyright © 2026 Open Microscopy Environment